<?php
include 'php/functions.php';
if (!checkIfLoggedIn()) {
  redirect('login.php');
}

$blogs = getAllBlogs();

?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta name="robots" content="noindex">
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta name="robots" content="noindex, nofollow">
  <title>Biotex CMS</title>
  <?php include 'inc/stylesheet.php'; ?>
</head>

<body data-page="select-blog">
  <nav class="nav">
    <div class="container nav__content-wrapper">
      <a href="index" class="nav__logo-wrapper">
        <img src="img/logo.svg" alt="Biotex logo" class="nav__logo">
      </a>

      <ul class="nav__list">
        <li class="nav__list-item">
          <a href="index" class="nav__link nav__link--active">Dashboard</a>
        </li>
        <li class="nav__list-item">
          <a href="logout" class="nav__link">Logout</a>
        </li>
      </ul>
    </div>
  </nav>

  <header class="blogs__header">
    <div class="container">
      <h1 class="txt-l bold blogs__title">Select a <span class="block txt-xxxl normal">BLOG</span></h1>
    </div>
  </header>

  <div class="blogs__cards-container">
    <div class="container">
      <div class="blogs__cards">
        <?php foreach ($blogs as $blog) : ?>
          <div class="blogs__card">
            <img src="<?php echo $blog->image; ?>" alt="Blog card image" class="blogs__card-img">

            <div class="blogs__card-contents">
              <h2 class="txt-m bold"><?php echo $blog->title; ?></h2>

              <div class="blogs__card-btn-wrapper">
                <a href="modify-blog?id=<?php echo $blog->id; ?>" class="btn btn--primary">> Modify</a>
              </div>
            </div>
          </div>
        <?php endforeach; ?>
      </div>
    </div>
  </div>
  <footer class="footer ">
    <div class="container">
      Copyright <?php echo date('Y'); ?> - Biotex
    </div>
  </footer>

  <link href="https://cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet">
  <script src="https://cdn.quilljs.com/1.3.6/quill.js"></script>

  <?php include 'inc/script.php'; ?>
</body>

</html>